package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.PatrolInspectionContent;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.PatrolInspectionContentExportVo;
import com.usky.fire.service.vo.PatrolInspectionContentVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author JCB
 * @since 2022-07-15
 */
public interface PatrolInspectionContentService extends CrudService<PatrolInspectionContent> {

    void addPatrolInspectionContent(PatrolInspectionContentVo patrolInspectionContentVo);

    void updatePatrolInspectionContent(PatrolInspectionContentVo patrolInspectionContentVo);

    void delPatrolInspectionContent(Integer id);

    CommonPage<PatrolInspectionContentVo> patrolInspectionContentList(String contentTitle, Integer pageNum, Integer pageSize, Integer id);

    List<PatrolInspectionContentExportVo> contentListExport(String contentTitle, String idList);
}
